Межсайтовый скриптинг и SQL-инъекция в PHlyMail

Дата публикации:
24.01.2006
Всего просмотров:
1375
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2005-4652
CVE-2005-4666
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHlyMail Personal Edition 3.x
PHlyMail MessageCenter 3.x
PHlyMail Lite 3.x
Уязвимые версии: PHlyMail версии до 3.3 Beta1 (Build 3.02.07).

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападении и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного URL выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценарий в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: phlymail.de

Решение: Установите последнюю версию (3.3 Beta1 (Build 3.02.07)) с сайта производителя.

Источник:

Ссылки: PHlyMail Unspecified Script Insertion and SQL Injection

или введите имя

CAPTCHA